### Method

# AppStreamCompose Result remove_component

#### Declaration [src]

    gboolean
    asc_result_remove_component (
      AscResult* result,
      AsComponent* cpt
    )

#### Description [src]

Remove a component from the results set.

#### Parameters

`cpt`

  Type: `AsComponent`

  The `AsComponent` to remove.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

`TRUE` if the component was found and removed.